"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var _ = require("lodash");
var SearchSelectComponent = (function () {
    function SearchSelectComponent() {
        this.checkEvent = new core_1.EventEmitter();
        this.maxHeight = this.maxHeight || '300px';
        this.width = this.width || '150px';
        this.nameKey = this.nameKey || 'name';
        this.fieldKey = this.fieldKey || 'id';
        this.checkOptions = {
            key: 'checked',
        };
    }
    Object.defineProperty(SearchSelectComponent.prototype, "source", {
        get: function () {
            return this._source;
        },
        set: function (v) {
            if (!v) {
                this._source = [];
            }
            if (this.currentValue && this.currentValue.length > 0) {
                for (var i = 0; i < v.length; i++) {
                    var vi = v[i];
                    vi.checkModel = {
                        checked: false,
                        index: i,
                        field: vi[this.fieldKey]
                    };
                    for (var j = 0; j < this.currentValue.length; j++) {
                        var cj = this.currentValue[j];
                        if (vi[this.fieldKey] == cj[this.fieldKey]) {
                            vi.checkModel.checked = true;
                        }
                    }
                }
            }
            else {
                this.currentValue = [];
            }
            this._source = _.cloneDeep(v);
        },
        enumerable: true,
        configurable: true
    });
    SearchSelectComponent.prototype.ngOnInit = function () {
    };
    SearchSelectComponent.prototype.onDocumentClick = function (ev) {
        this.dropList.nativeElement.style.display = 'none';
    };
    SearchSelectComponent.prototype.searchMe = function (ev) {
        this.keyword = ev;
    };
    SearchSelectComponent.prototype.selectList = function (ev, list) {
        ev.stopPropagation();
        if (this.multiple) {
            // 复选
            if (list.checkModel.checked) {
                list.checkModel.checked = false;
            }
            else {
                list.checkModel.checked = true;
            }
            this.checkboxChangeEvent(list.checkModel);
        }
        else {
            // 单选
            this.currentValue = [];
            for (var i = 0; i < this.source.length; i++) {
                this.source[i].checkModel.checked = false;
            }
            if (this.currentValue[this.fieldKey] == list[this.fieldKey]) {
                list.checkModel.checked = false;
                return;
            }
            else {
                list.checkModel.checked = true;
                this.currentValue.push(list);
                /*for (let i = 0; i < this.source.length; i++) {
                          this.source[i].checked = false;
                          if (this.source[i][this.fieldKey] == list[this.fieldKey]) {
                            this.source[i].checked = true;
                            this.currentValue.push(this.source[i]);
                          }
                        }*/
            }
            this.checkEvent.emit(this.currentValue);
        }
    };
    SearchSelectComponent.prototype.checkboxChangeEvent = function (ev) {
        var _this = this;
        var listItem = _.find(this.source, function (item) {
            return item[_this.fieldKey] == ev.field;
        });
        if (ev.checked) {
            var index = _.findIndex(this.currentValue, function (o) {
                return o[_this.fieldKey] == ev.field;
            });
            if (index == -1) {
                this.currentValue.push(listItem);
            }
        }
        else {
            for (var i = 0; i < this.currentValue.length; i++) {
                if (this.currentValue[i][this.fieldKey] == ev.field) {
                    this.currentValue.splice(i, 1);
                    break;
                }
            }
        }
        this.checkEvent.emit(this.currentValue);
    };
    SearchSelectComponent.prototype.showDropList = function (ev) {
        var _this = this;
        if (this.dropList.nativeElement.style.display == 'block') {
            this.dropList.nativeElement.style.display = 'none';
        }
        else {
            setTimeout(function () {
                _this.dropList.nativeElement.style.display = 'block';
            }, 10);
        }
    };
    SearchSelectComponent.prototype.getCurrentVal = function () {
        return this.currentValue;
    };
    SearchSelectComponent.prototype.filter = function (data, keyword) {
        var _this = this;
        if (keyword) {
            return data.filter(function (item) { return item[_this.nameKey].indexOf(keyword) > -1; });
        }
        else {
            return data || [];
        }
    };
    SearchSelectComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'dc-search-select',
                    template: "\n    <div class=\"dc-select-container\" [ngClass]=\"{'disable':disable}\" [style.width]=\"width\">\n      <div class=\"dc-select-input\" (click)=\"showDropList($event)\">\n        <!--<input name=\"dcSelect\" [disabled]=\"disable\" [readonly]=\"true\" #inputSelect>-->\n        <ul class=\"dc-select-current\">\n          <li *ngFor=\"let list of currentValue\" [title]=\"list[nameKey]\">{{list[nameKey]}}</li>\n        </ul>\n        <div class=\"dc-select-btn\" #dropBtn>\n          <div class=\"dc-select-arrow\"></div>\n        </div>\n      </div>\n      <div class=\"dc-select-drop\" (click)=\"$event.stopPropagation()\" style=\"display: none;\" #dropList>\n        <dc-search [width]=\"'100%'\" (search)=\"searchMe($event)\" [realTime]=\"true\"></dc-search>\n        <ul [style.maxHeight]=\"maxHeight\">\n          <li *ngFor=\"let list of filter(source, keyword)\" [class.checked]=\"list.checkModel.checked\"\n              (click)=\"selectList($event, list)\">\n            <dc-checkbox *ngIf=\"multiple\" [options]=\"checkOptions\" (checkboxChangeEvent)=\"checkboxChangeEvent($event)\"\n                         [checkModel]=\"list.checkModel\"></dc-checkbox>\n            <span [title]=\"list[nameKey]\">{{list[nameKey]}}</span>\n          </li>\n        </ul>\n      </div>\n    </div>\n  ",
                    styles: ["\n    ul, ol, li {\n      list-style: none;\n      margin: 0;\n      padding: 0;\n    }\n\n    .dc-select-container {\n      width: 160px;\n      height: 30px;\n      font-size: 12px;\n      color: #333;\n      background: #fff;\n      border: solid 1px #ccc;\n      border-radius: 3px;\n      margin: 0 10px;\n      padding: 0;\n      display: inline-block;\n      position: relative\n    }\n\n    .dc-select-container:hover {\n      border-color: #3d70b2\n    }\n\n    .dc-select-container:active {\n      border-color: #0081cc\n    }\n\n    .dc-select-container.disable {\n      background: #f5f5f5;\n      border-color: #ccc;\n      color: #999\n    }\n\n    .dc-select-input {\n      padding: 0 10px;\n      width: 100%;\n      height: 30px;\n      line-height: 30px;\n      position: relative;\n    }\n\n    .dc-select-input > .dc-select-current {\n      width: 90%;\n      background: none;\n      position: relative;\n      z-index: 1;\n      cursor: default;\n      display: flex;\n    }\n\n    .dc-select-input > .dc-select-current li {\n      max-width: 80px;\n      text-overflow: ellipsis;\n      overflow: hidden;\n      white-space: nowrap;\n      margin-right: 10px;\n    }\n\n    .dc-select-btn {\n      width: 0;\n      height: 30px;\n      position: absolute;\n      right: 0;\n      top: 0;\n      padding: 12px 20px 0 10px;\n      cursor: pointer;\n    }\n\n    .dc-select-container.disable .dc-select-btn {\n      cursor: default;\n    }\n\n    .dc-select-arrow {\n      border: solid 4px transparent;\n      border-top-width: 6px;\n      border-top-color: #333;\n      width: 0;\n      height: 0;\n    }\n\n    .dc-select-container.disable .dc-select-arrow {\n      border-top-color: #ccc;\n    }\n\n    .dc-select-drop {\n      position: absolute;\n      top: 30px;\n      left: -1px;\n      width: calc(100% + 2px);\n      box-shadow: 0 0 10px 2px rgba(0, 0, 0, .2);\n      background: #fff;\n      list-style: none;\n      border-radius: 3px;\n      z-index: 1000;\n      padding: 10px 0;\n    }\n\n    .dc-select-drop > ul {\n      margin: 0;\n      overflow-y: auto;\n      overflow-x: hidden;\n    }\n\n    .dc-select-drop > ul > li {\n      width: 100%;\n      height: 30px;\n      line-height: 26px;\n      cursor: pointer;\n      overflow: hidden;\n      text-overflow: ellipsis;\n      white-space: nowrap;\n      padding: 0 10px;\n      user-select: none;\n    }\n\n    .dc-select-drop > ul > li:hover,\n    .dc-select-drop > ul > li.checked {\n      color: #333333;\n      background: #edf0f5;\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    SearchSelectComponent.ctorParameters = function () { return []; };
    SearchSelectComponent.propDecorators = {
        "disable": [{ type: core_1.Input },],
        "width": [{ type: core_1.Input },],
        "maxHeight": [{ type: core_1.Input },],
        "fieldKey": [{ type: core_1.Input },],
        "nameKey": [{ type: core_1.Input },],
        "currentValue": [{ type: core_1.Input },],
        "multiple": [{ type: core_1.Input },],
        "source": [{ type: core_1.Input },],
        "checkEvent": [{ type: core_1.Output },],
        "dropList": [{ type: core_1.ViewChild, args: ['dropList',] },],
        "onDocumentClick": [{ type: core_1.HostListener, args: ['document:click', ['$event'],] },],
    };
    return SearchSelectComponent;
}());
exports.SearchSelectComponent = SearchSelectComponent;
//# sourceMappingURL=search.select.component.js.map